import client from "jmap-client-ts/lib/types";

export interface IMailbox extends client.IMailboxProperties {
	emails: Array<client.IEmailProperties>;
}

export interface IAccount extends client.IAccount {
	id: string;
	mailboxes: Array<IMailbox>;
}

export type AccountIdMap = { [accountId: string]: IAccount };

export interface ISession extends client.ISession {
	accounts: AccountIdMap;
}
